using PARR.DAL.Context;
using PARR.DAL.Models.Unit;
using PARR.DAL.Services.Interfaces.Unit;

namespace PARR.DAL.Services.Implementations.Unit
{
    internal class UnitRegionalEkPtkGroupService : IUnitRegionalEkPtkGroupService
    {
        private readonly DataContext dataContext;

        public UnitRegionalEkPtkGroupService(DataContext dataContext)
        {
            this.dataContext = dataContext;
        }

        public IQueryable<UnitRegionalEkPtkGroup> Get()
        {
            return dataContext.UnitRegionalEkPtkGroups;
        }
    }
}
